
from agents import Agent, Runner, OpenAIChatCompletionsModel
from openai import AsyncOpenAI
import os
BASE_URL = os.getenv("EXAMPLE_BASE_URL") or "https://openrouter.ai/api/v1"
API_KEY = os.getenv("OPENROUTER_API_KEY")
MODEL_NAME = "google/gemini-2.5-flash"
client = AsyncOpenAI(
    base_url=BASE_URL,
    api_key=API_KEY,
    max_retries=5,
)
def get_model(model_name=MODEL_NAME):
    return OpenAIChatCompletionsModel(
        openai_client=client,
        model=model_name,
    )